Extending Qt Creator Manual | IncludeRulesInstruction

Extending Qt Creator Manual 4.7.1

# IncludeRulesInstruction Class

(TextEditor::Internal::IncludeRulesInstruction)

- List of all members, including inherited members

## Public Functions

| IncludeRulesInstruction(const int &context, int hint, const int &replaceItemData)
int | indexHint() const
bool | replaceItemData() const
const int & | sourceContext() const

## Member Function Documentation

### IncludeRulesInstruction::IncludeRulesInstruction(const int &context, int hint, const int &replaceItemData)

Default constructs an instance of IncludeRulesInstruction.

### int IncludeRulesInstruction::indexHint() const

### bool IncludeRulesInstruction::replaceItemData() const

### const int &IncludeRulesInstruction::sourceContext() const